flutter_otp_timer 0.9.7

  • Readme
  • Changelog
  • Example
  • Installing
  • 65

flutter_otp_timer #

Get easy otp timer in your app

Usage #

Import package:flutter_otp_timer/flutter_otp_timer

Example:

import 'package:flutter/material.dart';
import 'package:flutter_otp_timer/flutter_otp_timer.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Otp Timer"),
        centerTitle: true,
      ),
      body: Center(
        child: OtpTimer(
          duration: 60, // time till which the timer should animate
          radius: 10, // size of the circle
          timeTextSize: 16, // time text inside the circle
        ),
      ),
    );
  }
}


You will find links to the API docs on the pub page.

Getting Started #

For help getting started with Flutter, view our online documentation.

For help on editing plugin code, view the documentation.

[0.9.7] - 12.05.2020 #

  • Indent code
  • Longer description

[0.9.4] - 12.05.2020 #

  • Class name change to OtpTimer
  • Example code added for better docs

[0.9.0] - 12.05.2020 #

  • Initial release with extended customization

example/main.dart

import 'package:flutter/material.dart';
import 'package:flutter_otp_timer/flutter_otp_timer.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Otp Timer"),
        centerTitle: true,
      ),
      body: Center(
        child: OtpTimer(
          duration: 60, // time till which the timer should animate
          radius: 10, // size of the circle
          timeTextSize: 16, // time text inside the circle
        ),
      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_otp_timer: ^0.9.7

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_otp_timer/flutter_otp_timer.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
29
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
65
Learn more about scoring.

We analyzed this package on Jul 8, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.8.4
  • pana: 0.13.13
  • Flutter: 1.17.5

Analysis suggestions

Package not compatible with SDK dart

because of import path [flutter_otp_timer] that is in a package requiring null.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.7.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.12 1.14.13
meta 1.1.8 1.2.1
sky_engine 0.0.99
typed_data 1.1.6 1.2.0
vector_math 2.0.8
Dev dependencies
flutter_test